Skip to main content
POST
https://ageneral.ai
/
v1
/
projects
/
{project_id}
/
members
Add member
curl --request POST \
  --url https://ageneral.ai/v1/projects/{project_id}/members \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectId": "<string>",
  "userId": "<string>",
  "role": "<string>"
}
'
{
  "member": {
    "projectId": "<string>",
    "userId": "<string>",
    "email": "<string>",
    "role": "<string>",
    "createdAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Ageneral session JWT. Obtain through web sign-in or extension OAuth.

Path Parameters

project_id
string
required

Body

application/json
projectId
string
required
userId
string
required
role
string

Response

Success

member
object